Reply to topic

Updating Skrooge 2.15.0

wind_rose_2
Registered Member
Posts
58
Karma
0

Updating Skrooge 2.15.0

Sun Sep 15, 2019 5:11 am
Been using the Skrooge software for a while and was wondering if you might advise and instruct me as to how l might update my program.using the Terminal?
Using:
KDE Frameworks 5.18.0
Qt 5.5.1 (built against 5.5.1)
The xcb windowing system
Thanks
User avatar smankowski
Moderator
Posts
970
Karma
7
OS

Re: Updating Skrooge 2.15.0

Sun Sep 15, 2019 7:56 am
What is your distribution?
On ubuntu: https://skrooge.org/ubuntu_installation


Skrooge, a personal finances manager powered by KDE
Image
wind_rose_2
Registered Member
Posts
58
Karma
0

Re: Updating Skrooge 2.15.0

Sun Sep 15, 2019 1:20 pm
Linux Mint 18.3 cinnamon 64 bit
User avatar smankowski
Moderator
Posts
970
Karma
7
OS

Re: Updating Skrooge 2.15.0

Sun Sep 15, 2019 6:32 pm
I think that mint is based on ubuntu, so you can try that:

Code: Select all
sudo apt remove skrooge-*
sudo add-apt-repository ppa:s-mankowski/ppa-kf5
sudo apt-get update
sudo apt-get install skrooge-kf5


Skrooge, a personal finances manager powered by KDE
Image
wind_rose_2
Registered Member
Posts
58
Karma
0

Re: Updating Skrooge 2.15.0

Mon Sep 16, 2019 12:19 am
by removing Skrooge will l loose any of my files?

I have also found several things with the application l would like to comment on.
Every time l close the program and restart it l find it necessary to re set the resolution of the input fields by utilizing the ZOOM FIT. and further if l have several operations opened they all may have different resolution and need re setting..."Saving" only seems to save the numerical /alphabetical values and not the format.
I also find that the column fields "List of Operations" can not be increased or decreased in size though they can be moved laterally to reposition.
Dave
wind_rose_2
Registered Member
Posts
58
Karma
0

Re: Updating Skrooge 2.15.0

Tue Sep 17, 2019 9:04 pm
I have performed the update as suggested but notice the version is still the same...2.15.0...is this right?
User avatar smankowski
Moderator
Posts
970
Karma
7
OS

Re: Updating Skrooge 2.15.0

Wed Sep 18, 2019 9:28 am
Linux Mint 18.3 is based on Ubuntu Xenial.
So, you should have Skrooge 2.16.0 (The last version supported on Xenial):
https://launchpad.net/~s-mankowski/+arc ... ter=xenial


Skrooge, a personal finances manager powered by KDE
Image
wind_rose_2
Registered Member
Posts
58
Karma
0

Re: Updating Skrooge 2.15.0

Wed Sep 18, 2019 10:30 am
smankowski wrote:Linux Mint 18.3 is based on Ubuntu Xenial.
So, you should have Skrooge 2.16.0 (The last version supported on Xenial):
https://launchpad.net/~s-mankowski/+arc ... ter=xenial


When l attempted to load ...deb http://ppa.launchpad.net/s-mankowski/ppa-kf5/ubuntu xenial main this is what happene

[sudo] password for dave:
You are about to add the following PPA:
More info: https://launchpad.net/~s-mankowski/+arc ... tu/ppa-kf5
Press Enter to continue or Ctrl+C to cancel

Executing: /tmp/tmp.QGhd30E1By/gpg.1.sh --keyserver
hkp://keyserver.ubuntu.com:80
--recv-keys
796FFDFC
gpg: requesting key 796FFDFC from hkp server keyserver.ubuntu.com
gpg: key 796FFDFC: "Launchpad PPA for miraks" not changed
gpg: Total number processed: 1
gpg: unchanged: 1
[email protected] ~ $ sudo apt-get update
Hit:1 http://archive.ubuntu.com/ubuntu xenial InRelease
Get:2 http://security.ubuntu.com/ubuntu xenial-security InRelease [109 kB]
Hit:3 http://ppa.launchpad.net/s-mankowski/ppa-kf5/ubuntu xenial InRelease
Ign:4 http://dl.google.com/linux/chrome/deb stable InRelease
Hit:5 http://archive.canonical.com/ubuntu xenial InRelease
Ign:6 http://packages.linuxmint.com sylvia InRelease
Get:7 http://archive.ubuntu.com/ubuntu xenial-updates InRelease [109 kB]
Hit:8 http://dl.google.com/linux/chrome/deb stable Release
Hit:10 http://packages.linuxmint.com sylvia Release
Hit:12 https://repo.skype.com/deb stable InRelease
Get:13 http://security.ubuntu.com/ubuntu xenial-security/main amd64 Packages [748 kB]
Get:14 http://archive.ubuntu.com/ubuntu xenial-backports InRelease [107 kB]
Get:15 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages [1,033 kB]
Get:16 http://security.ubuntu.com/ubuntu xenial-security/main i386 Packages [595 kB]
Get:17 http://archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages [860 kB]
Get:18 http://security.ubuntu.com/ubuntu xenial-security/main Translation-en [291 kB]
Get:19 http://archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages [764 kB]
Get:20 http://security.ubuntu.com/ubuntu xenial-security/universe amd64 Packages [458 kB]
Get:21 http://archive.ubuntu.com/ubuntu xenial-updates/universe i386 Packages [695 kB]
Get:22 http://security.ubuntu.com/ubuntu xenial-security/universe i386 Packages [396 kB]
Get:23 http://security.ubuntu.com/ubuntu xenial-security/universe Translation-en [187 kB]
Fetched 6,352 kB in 10s (606 kB/s)
Reading package lists... Done
[email protected] ~ $ deb http://ppa.launchpad.net/s-mankowski/ppa-kf5/ubuntu xenial main
No command 'deb' found, did you mean:
Command 'xdeb' from package 'xdeb' (universe)
Command 'deb3' from package 'quilt' (universe)
Command 'dab' from package 'bsdgames' (universe)
Command 'dex' from package 'dex' (universe)
Command 'derb' from package 'icu-devtools' (main)
Command 'dub' from package 'dub' (universe)
Command 'debc' from package 'devscripts' (main)
Command 'debi' from package 'devscripts' (main)
deb: command not found
[email protected] ~ $
User avatar smankowski
Moderator
Posts
970
Karma
7
OS

Re: Updating Skrooge 2.15.0

Wed Sep 18, 2019 8:07 pm
This seems correct.
Did you launch this?
Code: Select all
sudo apt remove skrooge-*
sudo apt-get update
sudo apt-get install skrooge-kf5


Skrooge, a personal finances manager powered by KDE
Image
wind_rose_2
Registered Member
Posts
58
Karma
0

Re: Updating Skrooge 2.15.0

Thu Sep 19, 2019 3:08 am
smankowski wrote:This seems correct.
Did you launch this?
Code: Select all
sudo apt remove skrooge-*
sudo apt-get update
sudo apt-get install skrooge-kf5


Yes l had done it previously but just did it again. should l have to reboot?
wind_rose_2
Registered Member
Posts
58
Karma
0

Re: Updating Skrooge 2.15.0

Thu Sep 19, 2019 3:15 am
i loaded the files as suggested and just reboot but the program still indicates 2.15.0
????
wind_rose_2
Registered Member
Posts
58
Karma
0

Re: Updating Skrooge 2.15.0 URGENT

Sat Sep 21, 2019 1:01 pm
[ERR-5]: Operation creation failed
[ERR-10001]: cannot rollback - no transaction is active Unable to fetch row
[ERR-10010]: disk I/O error Unable to fetch row
[ERR-10010]: COMMIT;

This morning while making entries in operations all had been going normal when all of a sudden l receive a red pop up stating an error..see above. it will no longer allow me to make any entries. what has happened??
wind_rose_2
Registered Member
Posts
58
Karma
0

Re: Updating Skrooge 2.15.0

Sat Sep 21, 2019 3:38 pm
I performed the old windows repair..shut down the program and restarted and everything is back to normal but l am curious as to what may have happened.

Still showing as 2.15.0 version Using:
KDE Frameworks 5.18.0
Qt 5.5.1 (built against 5.5.1)
The xcb windowing system
no new update !
User avatar smankowski
Moderator
Posts
970
Karma
7
OS

Re: Updating Skrooge 2.15.0

Sun Sep 22, 2019 8:45 am
Hi,

I never saw this kind of error and I don't know where this come from.
But, I can see "disk I/O error", so the error seems to be due to disk access. Can be:
- file system full
- temporary file removed by an other process
-...

Anyway, could you confirm that you don't have the error anymore?


Skrooge, a personal finances manager powered by KDE
Image
wind_rose_2
Registered Member
Posts
58
Karma
0

Re: Updating Skrooge 2.15.0

Sun Sep 22, 2019 10:58 am
yes after closing the program and reopening it all seems to be back to normal...however l had thought that our input of code into the Terminal while trying to upgrade from 2.15.0 may have done something. I had entered the code as you suggested and rebooted ...the changes , if any , were not evident and the version remained the same. I had also previously mentioned (Above) a few other issues l have been living with but had hopes that by upgrading the version they may have been corrected.
Regards
Dave

 
Reply to topic

Bookmarks



Who is online

Registered users: Baidu [Spider], Bing [Bot], Dibo, Google [Bot], Sogou [Bot]